.\"                                      Hey, EMACS: -*- nroff -*-
.\" (C) Copyright 2021 Julian Gilbey <jdg@debian.org>
.\"
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH GO-MTPFS 1 "Jan 2021"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
go-mtpfs \- FUSE filesystem for mounting Android device as MTP device
.SH SYNOPSIS
.B go-mtpfs
.RI [ options ] " directory"
.SH DESCRIPTION
This manual page documents briefly the
.B go-mtpfs
command.
.PP
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics,
.\" respectively.
\fBgo-mtpfs\fP is a program that mounts an Android device as an MTP
device.  The only argument the program takes is the directory name.
.PP
Example usage:
.PP
.nf
mkdir xoom
go-mtpfs xoom &
cp -a ~/Music/Some-Album xoom/Music/
fusermount -u xoom
.fi
.PP
After a file is closed (e.g., if \fBcp\fR completes in the above
example), it is safe to unplug the device; the filesystem then will
continue to function, but generates I/O errors when it reads from or
writes to the device.
.SH OPTIONS
A summary of options is included below.
.B \-h, \-\-help
Show summary of options.
.TP
.B \-allow\-other
Allow other users to access mounted fuse. Default: false.
.TP
.B \-android
Use Android extensions if available. Default: true.
.TP
.BI \-debug " string"
Comma-separated list of debugging options: usb, data, mtp, fuse
.TP
.BI \-dev " string"
Regular expression to filter device IDs, which are composed of
manufacturer/product/serial.
.TP
.BI \-storage " string"
Regular expression to filter storage areas.
.TP
.BI \-usb\-timeout " int"
Timeout in milliseconds. Default: 5000
.TP
.B \-vfat
Assume removable RAM media uses VFAT, and rewrite names. Default: true.
.SH NOTES
This manual page was written for the Debian GNU/Linux distribution
(but may be used by others), because the original program does not
have a manual page.
